Skip to main content
POST
/
reviews
/
{reviewId}
/
helpful
Mark Review as Helpful
curl --request POST \
  --url https://cdn.tailoredd.com/apiV2/reviews/{reviewId}/helpful \
  --header 'Content-Type: application/json' \
  --data '
{
  "helpful": true,
  "userId": "user123",
  "customerEmail": "customer@example.com"
}
'
{
  "success": true,
  "data": {}
}
POST {BASE_URL}/reviews/{reviewId}/helpful

Body parameters

helpful
boolean
required
true = helpful, false = not helpful.
userId
string
Authenticated user ID for deduplication.
deviceId
string
Device ID (mobile apps).
customerEmail
string
Email-based deduplication.

Response

{
  "success": true,
  "data": {
    "helpfulVotes": 9,
    "notHelpfulVotes": 2,
    "alreadyVoted": false
  }
}

Path Parameters

reviewId
string
required

Body

application/json

The body is of type object.

Response

Successful response

success
boolean
required
Example:

true

data
object